#!BuildIgnore:          post-build-checks
%define	_default_patch_fuzz	3
%define		reldate	100812_svn2667
Name:		nprobe
Version:	6.9.9
Release:	3.1
Group:		System
Summary:	Netflow Probe
Url:		http://www.nmon.net/
License:	GPL
Source0:	%{name}_%{version}_%{reldate}_pro.tgz
Source1:	GeoLiteCity.dat.gz
Source2:	GeoIPASNum.dat.gz
Source3:	GeoIPASNumv6.dat.gz
Source5:	UsersGuide.pdf
Source6:	nprobe.init
Source7:	sysconfig.nprobe
Source8:	nDPI.tar.bz2
Patch1:		nprobe-%{version}-GeoIPdat-dir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

NoSource:	0

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
BuildRequires:	gawk which
BuildRequires:	tcp_wrappers libpcap-devel
%endif
%if 0%{?fedora_version} >= 7 || 0%{?rhel_version} >= 600 || 0%{?centos_version} >= 6
BuildRequires:	tcp_wrappers-devel
%endif
%if 0%{?suse_version} > 1010
BuildRequires:	awk libpcap-devel tcpd-devel
%endif
%if 0%{?suse_version} > 0 && 0%{?suse_version} <= 1010
BuildRequires:	awk libpcap tcpd-devel
%endif
%if 0%{?suse_version}
PreReq:		%insserv_prereq %fillup_prereq
%endif

BuildRequires:	autoconf automake libtool gcc-c++ grep sed
BuildRequires:	pcre-devel mysql-devel libGeoIP-devel >= 1.4.5 lksctp-tools-devel python-devel openssl-devel
BuildRequires:	sqlite-devel >= 3.0
BuildRequires:	libpfring-devel
BuildRequires:	subversion

%description
Light, fast, resource-savvy NetFlow v5 and v9 probe that can be used stand-alone, with commercial products, or with ntop.

%package devel
Group:		Development/Libraries
Summary:	NProbe devel files

%description devel
NProbe development files.

%prep
%setup -n %{name}_%{version}_%{reldate}_pro -a 8
%patch1
cp %{S:1} .
cp %{S:2} .
cp %{S:3} .
cp %{S:5} .

%build
if [ ! -f ./configure ]; then
	./autogen.sh
fi
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--enable-shared \
	--enable-static \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir}
cd nDPI ; ./configure ; make ; cd ..
%__make

%install
gunzip GeoLiteCity.dat.gz
gunzip GeoIPASNum.dat.gz
gunzip GeoIPASNumv6.dat.gz
%__make DESTDIR=%{buildroot} install
%__install -d %{buildroot}%{_prefix}/lib/nprobe
%__install -d %{buildroot}%{_prefix}/lib/nprobe/plugins
cp GeoLiteCity.dat %{buildroot}%{_prefix}/lib/nprobe/
cp GeoIPASNum.dat %{buildroot}%{_prefix}/lib/nprobe/
cp GeoIPASNumv6.dat %{buildroot}%{_prefix}/lib/nprobe/
find %{buildroot}%{_prefix}/lib/nprobe/plugins -type l -exec rm {} \;
%__install -D -m755 %{S:6} %{buildroot}%{_sysconfdir}/init.d/%{name}
%if 0%{?suse_version}
%__install -D -m644 %{S:7} %{buildroot}/var/adm/fillup-templates/sysconfig.%{name}
%else
%__install -D -m644 %{S:7} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%endif

%clean
rm -rf %{buildroot}

%post
%if 0%{?suse_version}
%fillup_and_insserv
%else
chkconfig --add %{name} || :
%endif

%postun
%if 0%{?suse_version}
%restart_on_update nprobe
%insserv_cleanup
%else
if [ "$1" == "1" ] ; then
# upgrade
service %{name} restart || :
fi
if [ "$1" == "0" ] ; then
# uninstall
chkconfig --del %{name} || :
fi
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal nprobe
%else
service %{name} stop || :
%endif

%files
%defattr(-,root,root)
%doc UsersGuide.pdf README
%{_bindir}/nprobe
%dir %{_prefix}/lib/nprobe
%dir %{_prefix}/lib/nprobe/plugins
%{_prefix}/lib/nprobe/GeoIPASNum.dat
%{_prefix}/lib/nprobe/GeoIPASNumv6.dat
%{_prefix}/lib/nprobe/GeoLiteCity.dat
# removed in 6.9.9
#%{_prefix}/lib/nprobe/plugins/libdbPlugin-%{version}.so
#%{_prefix}/lib/nprobe/plugins/libdbPlugin.la
#%{_prefix}/lib/nprobe/plugins/libdumpPlugin-%{version}.so
#%{_prefix}/lib/nprobe/plugins/libdumpPlugin.la

#%{_prefix}/lib/nprobe/plugins/libl7Plugin-%{version}.so
#%{_prefix}/lib/nprobe/plugins/libl7Plugin.la
%{_libdir}/libnprobe-%{version}.so
%{_libdir}/libnprobe.la
%{_libdir}/libnprobe.so
%{_sysconfdir}/init.d/%{name}
%if 0%{?suse_version}
/var/adm/fillup-templates/sysconfig.%{name}
%else
%{_sysconfdir}/sysconfig/%{name}
%endif

%files devel
%defattr(-,root,root)
%{_libdir}/libnprobe.a
# removed in 6.9.9
#%if 0%{?sles_version} != 11 && 0%{?suse_version} < 1110
#%{_prefix}/lib/nprobe/plugins/libdbPlugin.a
#%{_prefix}/lib/nprobe/plugins/libdumpPlugin.a
##%{_prefix}/lib/nprobe/plugins/libl7Plugin.a
#%endif

%changelog
* Tue Oct  9 2012 cs@linux-administrator.com
- update to release 6.9.9
- update nDPI to current svn
* Wed Oct  3 2012 cs@linux-administrator.com
- update GeoIP ASnum data
- update GeoIP ASnum v6 data
- update GeoIP City data
* Thu May 24 2012 cs@linux-administrator.com
- update to release 6.9.5
- update GeoIP ASnum data
- update GeoIP ASnum v6 data
- update GeoIP City data
- update nDPI to current svn
* Sun Mar  4 2012 cs@linux-administrator.com
- update to release 6.9.2
- update GeoIP ASnum data
- added GeoIP ASnum v6 data
- update nDPI to current svn
* Thu Feb  9 2012 cs@linux-administrator.com
- update to release 6.9.1
- update GeoIP data files
- replace opendpi-ntop with nDPI
* Tue Jan 24 2012 cs@linux-administrator.com
- update to release 6.7.3
- update GeoIP data files
* Tue Nov 22 2011 cs@linux-administrator.com
- update to release 6.7.0
- update GeoIP data files
* Mon Sep 12 2011 cs@linux-administrator.com
- Update to release 6.6.3
- Update GeoIP data files
* Mon Aug 15 2011 cs@linux-administrator.com
- update GeoIP data files
